function o(e) {
  let r = "";
  switch (e) {
    case "dataFilter":
      r = `// 在请求响应体传递给 then/catch 前，允许通过 dataFilter 过滤器函数修改响应数据
 (function(res) {
 try {
 return res
}
 catch(error) {
 console.error(error)
 }
})(res)`;
      break;
    case "mouseEvent":
      r = `/**\r
 * @param {Object} props 组件属性响应对象\r
 * @param {ComponentInstance} compRef 组件内部实例\r
 * @param {MouseEvent} evt 鼠标事件\r
*/\r
(async function(props, compRef, evt) {\r
  try {\r
 // ...\r
}\r
  catch(error) {\r
 console.error(error)\r
}\r
})(props, compRef, evt)`;
      break;
    default:
      r = `/**\r
 * @param {Object} props 组件属性响应对象\r
 * @param {ComponentInstance} compRef 组件内部实例\r
*/\r
(async function(props, compRef) {\r
 try {\r
 // ...\r
 }\r
 catch(error) {\r
 console.error(error)\r
}\r
})(props, compRef)`;
      break;
  }
  return r;
}
export {
  o as u
};
